import { myRequest } from "./request.js";
//登录短信
export function loginSms(data) {
  return myRequest({
    url: "/app/common/seller/sms/login",
    method: "post",
    data: data,
    noToken: true,
  });
}
//短信登录用户
export function smsLogin(data) {
  return myRequest({
    url: "/app/common/seller/sms_login",
    method: "post",
    data: data,
    noToken: true,
  });
}
//账号登录用户
export function accountLogin(data) {
  return myRequest({
    url: "/app/common/seller/account_login",
    method: "post",
    data: data,
    noToken: true,
  });
}
//登录用户信息
export function getInfo(data) {
  return myRequest({
    url: "/distribution/seller/getInfo",
    method: "get",
    data: data,
  });
}
//注册短信
export function registerSms(data) {
  return myRequest({
    url: "/app/common/seller/sms/register",
    method: "post",
    data: data,
    noToken: true,
  });
}
//注册用户
export function registerUser(data) {
  return myRequest({
    url: "/app/common/seller/register",
    method: "post",
    data: data,
    noToken: true,
  });
}
//忘记短信
export function forgetSms(data) {
  return myRequest({
    url: "/app/common/seller/sms/forget",
    method: "post",
    data: data,
    noToken: true,
  });
}
//忘记用户
export function forgetUser(data) {
  return myRequest({
    url: "/app/common/seller/register_forget",
    method: "post",
    data: data,
    noToken: true,
  });
}

//policy获得
export function aliyunpolicy(data) {
  return myRequest({
    url: "/aliyun/oss/policy",
    method: "get",
    data: data,
    // noToken: true
  });
}
